petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmDestroyGlobalVectorFromField

Destroys the Vec object which share the array associated with a given field

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmDestroyGlobalVectorFromField(DM dm,const char fieldname[],Vec *vec)

Collective on dm

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name given to a registered field

### Output parameter

vec -the vector

### See Also

DMSwarmRegisterPetscDatatypeField(), DMSwarmCreateGlobalVectorFromField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages